Bug 534304 - (RHQ-1113) No way to tell when a group plugin configuration update has completed
No way to tell when a group plugin configuration update has completed
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 18:26 EST by Charles Crouch
Modified: 2015-02-01 18:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2008-11-12 18:26:00 EST
Right now when you update the plugin configuration for a group of resources you get the following message:

"Group connection property update has been submitted for asynchronous processing. "

but there no indication of when the async job is all done. So for instance you can't say: "make the change, then wait until X happens, then go and check an individual resource and review the update you made".

This is probably going to be more critical for group based resource configuration, we'll at least have a configuration history for each resource there, but I think it also going to be useful to see when the all the individual updates are done, kind of like what we do for group operation results, when the overall op is 'in progress' until all the actual individual ops have been attempted.
Comment 1 Joseph Marques 2008-12-25 07:53:10 EST
this already exists.  click the "show history" button under the "connection properties" section of the "inventory" tab.

it will show a table of all plugin configuration update requests, which starts "in progress" and moves to some terminal state only when all of the resource-level updates terminate.  

click on the links under the "date created" column, and you'll see the individual update entries for all resources in the group at the time the aggregate update was initiated.  each of those entries will have an individual status.
Comment 2 Red Hat Bugzilla 2009-11-10 15:24:14 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1113

Note You need to log in before you can comment on or make changes to this bug.